Package com.google.android.exoplayer2.text

## Class SubtitleInputBuffer

- java.lang.Object
- - com.google.android.exoplayer2.decoder.Buffer
  - - com.google.android.exoplayer2.decoder.DecoderInputBuffer
    - - com.google.android.exoplayer2.text.SubtitleInputBuffer

-     public class SubtitleInputBuffer
      extends DecoderInputBuffer

  A `DecoderInputBuffer` for a `SubtitleDecoder`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.android.exoplayer2.decoder.DecoderInputBuffer

      `DecoderInputBuffer.BufferReplacementMode, DecoderInputBuffer.InsufficientCapacityException`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `subsampleOffsetUs` | An offset that must be added to the subtitle's event times after it's been decoded, or `Format.OFFSET_SAMPLE_RELATIVE` if `DecoderInputBuffer.timeUs` should be added.

    - ### Fields inherited from class com.google.android.exoplayer2.decoder.DecoderInputBuffer

      `BUFFER_REPLACEMENT_MODE_DIRECT, BUFFER_REPLACEMENT_MODE_DISABLED, BUFFER_REPLACEMENT_MODE_NORMAL, cryptoInfo, data, supplementalData, timeUs, waitingForKeys`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubtitleInputBuffer()` |

  - ### Method Summary

    - ### Methods inherited from class com.google.android.exoplayer2.decoder.DecoderInputBuffer

      `clear, ensureSpaceForWrite, flip, isEncrypted, newNoDataInstance, resetSupplementalData`

    - ### Methods inherited from class com.google.android.exoplayer2.decoder.Buffer

      `addFlag, clearFlag, getFlag, hasSupplementalData, isDecodeOnly, isEndOfStream, isKeyFrame, setFlags`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### subsampleOffsetUs

          public long subsampleOffsetUs

      An offset that must be added to the subtitle's event times after it's been decoded, or `Format.OFFSET_SAMPLE_RELATIVE` if `DecoderInputBuffer.timeUs` should be added.

  - ### Constructor Detail

    - #### SubtitleInputBuffer

          public SubtitleInputBuffer()